CREATE TABLE IF NOT EXISTS <PFX>user (
    id          INTEGER            PRIMARY KEY AUTOINCREMENT
                                   NOT NULL,
    guid        VARCHAR( 36, 36 )  UNIQUE,
    firstseen   INTEGER,
    lastseen    INTEGER,
    firstip     VARCHAR( 39, 39 ),
    lastip      VARCHAR( 39, 39 ),
    connections INTEGER,
    onlinetime  INTEGER,
    online      INTEGER( 1, 1 )
);
#@#$
CREATE TABLE IF NOT EXISTS  <PFX>nicks (
    user INTEGER            REFERENCES <PFX>user ( id ) ON DELETE CASCADE
                                                   ON UPDATE NO ACTION,
    nick VARCHAR( 30, 30 )
);
#@#$
CREATE TABLE IF NOT EXISTS <PFX>punishmentLog (
    user        INTEGER PRIMARY KEY
                        REFERENCES <PFX>user ( id ) ON DELETE CASCADE
                                               ON UPDATE NO ACTION,
    scoresAdded NUMERIC,
    time        NUMERIC,
    isValid     INT2,
    reason      TEXT
);
#@#$
CREATE TABLE IF NOT EXISTS <PFX>punishmentScores (
    user      INTEGER PRIMARY KEY
                       REFERENCES <PFX>user ( id ) ON DELETE CASCADE
                                              ON UPDATE NO ACTION,
    score      NUMERIC,
    lastupdate NUMERIC
);
#@#$
CREATE TABLE IF NOT EXISTS <PFX>stats (
    user       INTEGER PRIMARY KEY
                       REFERENCES <PFX>user ( id ) ON DELETE CASCADE
                                              ON UPDATE NO ACTION,
    kills      INTEGER,
    deaths     INTEGER,
    headshots  INTEGER,
    teamkills  INTEGER,
    teamdeaths INTEGER,
    selfkills  INTEGER
);
#@#$
CREATE TABLE IF NOT EXISTS <PFX>punishmentBanHelper (
user        INTEGER PRIMARY KEY
REFERENCES <PFX>user ( id ) ON DELETE CASCADE
ON UPDATE NO ACTION,
guid        VARCHAR( 36, 36 ),
pbguid        VARCHAR( 36, 36 ),
name        VARCHAR( 30, 30 ),
ip     VARCHAR( 39, 39 ),
reason      TEXT,
expire      NUMERIC,
type VARCHAR( 10, 10 )
);
