<?php
/**
 * ManuAdminMod
 *
 * This is a powerful and platform independent software for administrating game servers of various kinds.
 * If you need help with installing or using this software, please visit our website at => www.ManuAdminMod.de
 * If you want to obtain additional permissions extending the license, contact us at => Webmaster@ManuAdminMod.de
 *
 * @copyright www.ManuAdminMod.de
 * @license http =>//www.creativecommons.org/licenses/by-nc-nd/4.0/ Creative Commons BY-NC-ND 4.0
 * @version 1.0.0-Beta+7
**/

namespace MAM\Daemon\Libraries\Weapons;

use MAM\Daemon\Core\Registry;

/**
 * Weapon Class
 *
 * This class handles the weapons
 *
 * @author Master of Little <masteroflittle@manuadminmod.de>
 */
class Weapons {
    /**
     * Class for mam related stuff
     *
     * @var \MAM\Daemon\Engine\Frostbite3\Mod
     * @var \MAM\Daemon\Engine\Quake3\Mod
     */
    private $mod;
    /**
     * Class for Logging
     *
     * @var \MAM\Daemon\Libraries\Logging\LogHandler
     */
    private $logging;
    /**
     * Class for weapons
     * @var object
     */
    private $weapons;

    /**
     * Constructor calls class for game specific weapons
     */
    public function __construct() {
        $registry = Registry::getInstance();
        $this->mod = $registry->mod;
        $this->logging = $registry->logging;

        $class = "\\MAM\\Daemon\\Engine\\" . ucfirst($this->mod->getEngine()) . "\\" . ucfirst($this->mod->getGame()) . "\\Weapons";
        $this->weapons = new $class();
    }

    /**
     * Returns the name, section and short name from $index
     * @param $index
     * @return array
     */
    public function getWeapon($index) {



        return $this->weapons->getWeapon($index);
    }
}
